---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_ParameterAssignment;'
    name:      Parameter Assignment
    index:     28
    registerForTemplate: yes
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Parameter Assignment'
    relationships:
    - instance: '&IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data;'
      customTagName: 'assignsFromWorkData'
    - instance: '&IDR_Parameter_Assignment__assigns_to__Work_Data;'
      customTagName: 'assignsToParameter'

  - relationship: '&IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data;'
    index: 37
    sourceClassId: '&IDC_ParameterAssignment;'
    type: 'assigns from'
    destinationClassId: '&IDC_ExecutableReturningWorkData;'
    siblingRelationshipId: '&IDR_Executable_returning_Work_Data__assigned_from__Parameter_Assignment;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Work_Data__assigned_from__Parameter_Assignment;'
    index: 36
    sourceClassId: '&IDC_ExecutableReturningWorkData;'
    type: 'assigned from'
    destinationClassId: '&IDC_ParameterAssignment;'
    siblingRelationshipId: '&IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data;'
    singular: no

  - relationship: '&IDR_Parameter_Assignment__assigns_to__Work_Data;'
    index: 115
    sourceClassId: '&IDC_ParameterAssignment;'
    type: 'assigns to'
    destinationClassId: '&IDC_WorkData;'
    siblingRelationshipId: '&IDR_Work_Data__assigned_by__Parameter_Assignment;'
    singular: yes

  - relationship: '&IDR_Work_Data__assigned_by__Parameter_Assignment;'
    index: 116
    sourceClassId: '&IDC_WorkData;'
    type: 'assigned by'
    destinationClassId: '&IDC_ParameterAssignment;'
    siblingRelationshipId: '&IDR_Parameter_Assignment__assigns_to__Work_Data;'
    singular: no